#version 330

in vec3 ex_TexCoord;

uniform sampler2DArray tex;

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 distortion;

void main(void)
{
    vec4 pixel = texture(tex, ex_TexCoord);
    if(pixel.a <= 0.01)
        discard;

    fragColor = pixel;
    distortion = vec4(0.0, 0.0, 0.0, 1.0);
}
